package com.seer.teach.mp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.seer.teach.mp.entity.MpAgentEntity;

import java.util.List;

/**
 * 代理商服务接口
 */
public interface IMpAgentService extends IService<MpAgentEntity> {

    /**
     * 根据ID获取代理商信息
     *
     * @param id 代理商ID
     * @return 代理商实体
     */
    MpAgentEntity getAgentById(Integer id);

    /**
     * 保存代理商
     *
     * @param agentEntity 代理商实体
     * @param password m密码
     * @return 是否成功
     */
    Boolean saveAgent(MpAgentEntity agentEntity,String password);

    /**
     * 更新代理商
     *
     * @param agentEntity 代理商实体
     * @return 是否成功
     */
    Boolean updateAgent(MpAgentEntity agentEntity);

    /**
     * 获取代理商名称列表
     * @return 代理商名称列表
     */
    List<String> getAgentName();
}